<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:orientation="vertical">

    <com.android.chmo.ui.view.TopBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:topTitle="订单详情" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/pink"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="20dp">

                <TextView
                    android:id="@+id/state"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="已付款"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/ic_order"
                    android:layout_marginRight="30dp"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:padding="15dp">

                <TextView
                    android:id="@+id/workName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="活动名称："
                    android:textColor="@color/black"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/workAddress"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="地址："
                    android:textColor="@color/black"
                    android:textSize="15sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:padding="15dp"
                android:layout_marginTop="10dp">

                <ImageView
                    android:id="@+id/head"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:src="@mipmap/def_img2"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_marginLeft="15dp">
                    <TextView
                        android:id="@+id/modelName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="模特名称："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/price"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="单价："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/time"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="时长："
                        android:textColor="@color/black"
                        android:textSize="15sp" />
                </LinearLayout>
            </LinearLayout>
            <View style="@style/line"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:orientation="horizontal"
                android:gravity="center_vertical|right"
                android:background="@color/white">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="总计："
                    android:textColor="@color/black"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/totalPrice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="30dp"
                    android:text="￥0"
                    android:textColor="@color/pink"
                    android:textSize="15sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:background="@color/white"
                android:layout_marginTop="10dp">

                <TextView
                    android:id="@+id/orderNum"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="20dp"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:text="订单号："/>

                <View style="@style/line"/>

                <TextView
                    android:id="@+id/createTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="20dp"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:text="创建时间："/>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</LinearLayout>